<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestProductLabel" jhiTranslate="mpmApp.requestProduct.home.createOrEditLabel">Create or edit a Request Product</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!requestProduct.idRequest">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requestProduct.idRequest" readonly />
                </div>
                <div class="form-group">
                    <label jhiTranslate="mpmApp.request.requestType" for="field_requestType">Request Type</label>
                    <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="requestProduct.requestTypeId" required>
                        <option [ngValue]="null">Select {{'mpmApp.request.requestType' | translate}}</option>
                        <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requestTypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.requestNumber" for="field_requestNumber">Request Number</label>
                    <input type="text" class="form-control" name="requestNumber" id="field_requestNumber"
                        [(ngModel)]="requestProduct.requestNumber"  />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.description" for="field_description">Description</label>
                    <textarea type="text" class="form-control" name="description" id="field_description" [(ngModel)]="requestProduct.description"></textarea>
                </div>
                <div class="form-group" *ngIf="idFacilityFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestProduct.facilityFrom" for="field_facilityFrom">Facility From</label>
                    <select class="form-control" id="field_facilityFrom" name="facilityFrom" [(ngModel)]="requestProduct.facilityFromId" required>
                        <option [ngValue]="null">Select {{'mpmApp.requestProduct.facilityFrom' | translate}}</option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idFacilityTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestProduct.facilityTo" for="field_facilityTo">Facility To</label>
                    <select class="form-control" id="field_facilityTo" name="facilityTo" [(ngModel)]="requestProduct.facilityToId" required>
                        <option [ngValue]="null">Select {{'mpmApp.requestProduct.facilityTo' | translate}}</option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
